<?php

/**
 * Sidebar Position
 *
 * @package Charity_Elite
 */

$wp_customize->add_section(
	'charity_elite_sidebar_position',
	array(
		'title' => esc_html__( 'Sidebar Position', 'charity-elite' ),
		'panel' => 'charity_elite_theme_options',
	)
);

// Sidebar Position - Global Sidebar Position.
$wp_customize->add_setting(
	'charity_elite_sidebar_position',
	array(
		'sanitize_callback' => 'charity_elite_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'charity_elite_sidebar_position',
	array(
		'label'   => esc_html__( 'Global Sidebar Position', 'charity-elite' ),
		'section' => 'charity_elite_sidebar_position',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'charity-elite' ),
			'left-sidebar'  => esc_html__( 'Left Sidebar', 'charity-elite' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'charity-elite' ),
		),
	)
);

// Sidebar Position - Post Sidebar Position.
$wp_customize->add_setting(
	'charity_elite_post_sidebar_position',
	array(
		'sanitize_callback' => 'charity_elite_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'charity_elite_post_sidebar_position',
	array(
		'label'   => esc_html__( 'Post Sidebar Position', 'charity-elite' ),
		'section' => 'charity_elite_sidebar_position',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'charity-elite' ),
			'left-sidebar'  => esc_html__( 'Left Sidebar', 'charity-elite' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'charity-elite' ),
		),
	)
);

// Sidebar Position - Page Sidebar Position.
$wp_customize->add_setting(
	'charity_elite_page_sidebar_position',
	array(
		'sanitize_callback' => 'charity_elite_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'charity_elite_page_sidebar_position',
	array(
		'label'   => esc_html__( 'Page Sidebar Position', 'charity-elite' ),
		'section' => 'charity_elite_sidebar_position',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'charity-elite' ),
			'left-sidebar'  => esc_html__( 'Left Sidebar', 'charity-elite' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'charity-elite' ),
		),
	)
);
